## org.apache.lucene.analysis.miscellaneous
Class EmptyTokenStream

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.miscellaneous.EmptyTokenStream

All Implemented Interfaces:
  Closeable

    public final class EmptyTokenStream

extends TokenStream

An always exhausted token stream.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`AttributeSource.AttributeFactory, AttributeSource.State`

Constructor Summary
`EmptyTokenStream()`

Method Summary
`boolean` `incrementToken()`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmptyTokenStream

    public EmptyTokenStream()

Method Detail

### incrementToken

    public final boolean incrementToken()

  Specified by:
    `incrementToken` in class `TokenStream`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.